This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 972304 - Registered accounts from restricted countries can be accepted
Registered accounts from restricted countries can be accepted
Status: CLOSED NOTABUG
Product: OpenShift Online
Classification: Red Hat
Component: Website (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Jordan Liggitt
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-08 05:23 EDT by joycezhang
Modified: 2015-05-14 21:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-08 09:07:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description joycezhang 2013-06-08 05:23:21 EDT
Description of problem:
If trying to register an account from a restricted countries like ir, ru, no error message "error message like "We can not accept emails from the following top level domains: .ir, .cu, .kp., .sd, .sy"" would be shown, and it can be accepted for the regiester.

Version-Release number of selected component (if applicable):
STG(devenv-stage_364)

How reproducible:
always

Steps to Reproduce:
1.Register with an account from restricted countries like ir, ru and etc. 
2.
3.

Actual results:
The account could be registered.

Expected results:
it can't be registered successfully and error message is shown.

Additional info:
Comment 1 Jordan Liggitt 2013-06-08 09:07:42 EDT
We do not restrict top level domains based on country. The only email restrictions we have are the PROHIBITED_EMAIL_DOMAINS setting, which restricts specific domains. 

The country restriction only applies to the upgrade process and entering billing information.

Note You need to log in before you can comment on or make changes to this bug.